#
from System.Collections.Generic import List
from System import Byte, Int32
#
MaxRange = 8
AoeEnemies = 2
#
def Ebolt(enemy):
    Spells.CastMagery("Energy Bolt", enemy)
    Misc.Pause(2000)
    return
#    
def Fireball(enemy):
    Spells.CastMagery("Fireball", enemy)
    Misc.Pause(1000)
    return
#
def Lightning(enemy):
    Spells.CastMagery("Lightning", enemy)
    Misc.Pause(1500)
    return
#
def TidalRush():
    Spells.CastMagery("Tidal Rush")
    Misc.Pause(3000)
    return
#
def LightningWave():
    Player.ChatSay(5, "[cs lightningwave")
    Misc.Pause(3000)
    return
#
def PoisonDart(enemy):
    #bandActive = BandageHeal.Status()
    #if bandActive:
    #    BandageHeal.Stop()     
    Spells.CastMagery("Poison Dart", enemy)
    Misc.Pause(3000)    
    return    
# 
def IceBlast(enemy):   
    Spells.CastMagery("Ice Blast", enemy)
    Misc.Pause(3000)    
    return    
# 
def Bombard(enemy):
    Spells.CastMysticism("Bombard", enemy)
    Misc.Pause(2000)    
    return    
#
def NetherBolt(enemy):
    Spells.CastMysticism("Nether Bolt", enemy)
    Misc.Pause(1000)
 
def Lightning(enemy):
    Spells.CastMagery("Lightning", enemy)
    Misc.Pause(3000)    
    
def NetherBoltOld(enemy):
    bandActive = BandageHeal.Status()
    if bandActive:
        BandageHeal.Stop()         
    Spells.CastMysticism("Nether Bolt", enemy)
    #Player.ChatSay(5, "[cs Netherbolt")
    Target.WaitForTarget(5000)
    if Target.HasTarget():
        Target.TargetExecute(enemy)
        Misc.Pause(2000)    
    if bandActive:
        BandageHeal.Start()                
    return    
#        
def GetEnemies():    
    enemy_filter = Mobiles.Filter()
    enemy_filter.Enabled = True
    enemy_filter.RangeMin = -1
    enemy_filter.RangeMax = MaxRange
    enemy_filter.Notorieties = List[Byte](bytes([3,4,5,6]))    
    enemies = Mobiles.ApplyFilter(enemy_filter)    
    return enemies
#
MonsterTable = [
("dragon", PoisonDart),
("annoying", IceBlast), 
("slasher", Ebolt),
("drake", PoisonDart), 
("egikan", PoisonDart),
("rotting", Fireball),
("lich", Fireball),
("swoop", Fireball),
("dread", Fireball),
#("grizzle", NetherBolt),
("tikitavi", Fireball),
("frost", Fireball),
("frost", Fireball),
("skeleton", Fireball),
("lamassu", Fireball),
("corpse", Fireball),
("flame", Bombard),
("fire", IceBlast),
("blood", IceBlast),
("searing", Bombard),
("Poison", Bombard),
("water", Bombard),
 ] 
#Fireball
#PoisonDart(enemy)    
#NetherBolt(enemy)
#Ebolt(enemy)
#Bombard(enemy)        
#
def SelectSpell(enemy):
    spell = Ebolt    
    for entry in MonsterTable:
        if entry[0].lower() in enemy.Name.lower():
            spell = entry[1]
    return spell            
#
enemies = GetEnemies()
#Spells.CastSpellweaving("Arcane Empowerment")
#Misc.Pause(3000)    
if len(enemies) > 0:
    enemy = Mobiles.Select(enemies, 'Nearest')
    enemySerial = enemy.Serial
    while enemy != None:
        Lightning(enemy)
        enemy = Mobiles.FindBySerial(enemySerial)
        
    
        